Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
System Update - Fehler emerge tomcat
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
fabulous_fab
n00b
n00b


Joined: 01 Nov 2010
Posts: 3

PostPosted: Sun Apr 10, 2011 7:20 pm    Post subject: System Update - Fehler emerge tomcat Reply with quote

hi,
ich wollte mein System einmal auf den neusten Stand bringen, aber hier ein Problem nach dem Anderen.

Der Aufruf von # emerge --update --deep --newuse world
endet in einem Fehler von beim emergen von tomcat.

Code:
# emerge --update --deep --newuse world
Calculating dependencies... done!

>>> Verifying ebuild manifests

>>> Starting parallel fetch

>>> Emerging (1 of 187) dev-java/tomcat-servlet-api-6.0.32
 * apache-tomcat-6.0.32-src.tar.gz RMD160 SHA1 SHA256 size ;-) ...                                                [ ok ]
 * Package:    dev-java/tomcat-servlet-api-6.0.32
 * Repository: gentoo
 * Maintainer: java@gentoo.org
 * USE:        amd64 elibc_glibc kernel_linux multilib userland_GNU
 * FEATURES:   sandbox
 * Using: sun-jdk-1.6
>>> Unpacking source...
>>> Unpacking apache-tomcat-6.0.32-src.tar.gz to /var/tmp/portage/dev-java/tomcat-servlet-api-6.0.32/work
>>> Source unpacked in /var/tmp/portage/dev-java/tomcat-servlet-api-6.0.32/work
>>> Preparing source in /var/tmp/portage/dev-java/tomcat-servlet-api-6.0.32/work/apache-tomcat-6.0.32-src ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/dev-java/tomcat-servlet-api-6.0.32/work/apache-tomcat-6.0.32-src ...
Rewriting attributes
Traceback (most recent call last):
  File "/usr/lib64/javatoolkit/bin/xml-rewrite-3.py-2.6", line 30, in <module>
    from javatoolkit.xml.DomRewriter import DomRewriter
ImportError: No module named javatoolkit.xml.DomRewriter
 * If the output above contains:
 * ImportError:
 * /usr/lib/python2.4/site-packages/_xmlplus/parsers/pyexpat.so:
 * undefined symbol: PyUnicodeUCS2_DecodeUTF8
 * Try re-emerging dev-python/pyxml
 * ERROR: dev-java/tomcat-servlet-api-6.0.32 failed (configure phase):
 *   xml-rewrite2 failed: ./build.xml  Look at the eerror message above
 *
 * Call stack:
 *     ebuild.sh, line   56:  Called src_configure
 *   environment, line 4247:  Called java-ant-2_src_configure
 *   environment, line 2048:  Called java-ant_bsfix
 *   environment, line 2070:  Called java-ant_bsfix_files './test/build.xml' './build.xml'
 *   environment, line 2165:  Called _bsfix_die 'xml-rewrite2 failed: ./build.xml'
 *   environment, line  298:  Called die
 * The specific snippet of code:
 *           die ${1} " Look at the eerror message above";
 *
 * If you need support, post the output of 'emerge --info =dev-java/tomcat-servlet-api-6.0.32',
 * the complete build log and the output of 'emerge -pqv =dev-java/tomcat-servlet-api-6.0.32'.
!!! When you file a bug report, please include the following information:
GENTOO_VM=sun-jdk-1.6  CLASSPATH="" JAVA_HOME="/opt/sun-jdk-1.6.0.23"
JAVACFLAGS="-source 1.5 -target 1.5" COMPILER=""
and of course, the output of emerge --info
 * The complete build log is located at '/var/tmp/portage/dev-java/tomcat-servlet-api-6.0.32/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-java/tomcat-servlet-api-6.0.32/temp/environment'.
 * S: '/var/tmp/portage/dev-java/tomcat-servlet-api-6.0.32/work/apache-tomcat-6.0.32-src/'

>>> Failed to emerge dev-java/tomcat-servlet-api-6.0.32, Log file:

>>>  '/var/tmp/portage/dev-java/tomcat-servlet-api-6.0.32/temp/build.log'

 * Messages for package dev-java/tomcat-servlet-api-6.0.32:

 * If the output above contains:
 * ImportError:
 * /usr/lib/python2.4/site-packages/_xmlplus/parsers/pyexpat.so:
 * undefined symbol: PyUnicodeUCS2_DecodeUTF8
 * Try re-emerging dev-python/pyxml
 * ERROR: dev-java/tomcat-servlet-api-6.0.32 failed (configure phase):
 *   xml-rewrite2 failed: ./build.xml  Look at the eerror message above
 *
 * Call stack:
 *     ebuild.sh, line   56:  Called src_configure
 *   environment, line 4247:  Called java-ant-2_src_configure
 *   environment, line 2048:  Called java-ant_bsfix
 *   environment, line 2070:  Called java-ant_bsfix_files './test/build.xml' './build.xml'
 *   environment, line 2165:  Called _bsfix_die 'xml-rewrite2 failed: ./build.xml'
 *   environment, line  298:  Called die
 * The specific snippet of code:
 *           die ${1} " Look at the eerror message above";
 *
 * If you need support, post the output of 'emerge --info =dev-java/tomcat-servlet-api-6.0.32',
 * the complete build log and the output of 'emerge -pqv =dev-java/tomcat-servlet-api-6.0.32'.
 * The complete build log is located at '/var/tmp/portage/dev-java/tomcat-servlet-api-6.0.32/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-java/tomcat-servlet-api-6.0.32/temp/environment'.
 * S: '/var/tmp/portage/dev-java/tomcat-servlet-api-6.0.32/work/apache-tomcat-6.0.32-src/'


die info
Code:
# emerge --info =dev-java/tomcat-servlet-api-6.0.32
Portage 2.1.9.42 (default/linux/amd64/10.0/desktop, gcc-4.4.5, glibc-2.11.3-r0, 2.6.34-gentoo-r12 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.34-gentoo-r12-x86_64-AMD_Phenom-tm-_II_X4_955_Processor-with-gentoo-1.12.14
Timestamp of tree: Sun, 10 Apr 2011 12:00:01 +0000
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.6.5-r3, 2.7.1-r1, 3.1.3-r1
dev-util/cmake:      2.8.4
sys-apps/baselayout: 1.12.14-r1
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.65-r1
sys-devel/automake:  1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.5
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.81-r2
virtual/os-headers:  2.6.36.1 (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA dlj-1.1 sun-bcla-java-vm"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://ftp.halifax.rwth-aachen.de/gentoo/ rsync.de.gentoo.org"
LANG="C"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdr cli consolekit cracklib crypt cups cxx dbus device-mapper dri dts dvd dvdr emboss emerald encode exif extras fam firefox flac fortran gdbm gdu gif gimp gnome gpm gtk iconv ipv6 jpeg kdrive lcms ldap libnotify mad mikmod mmx mng modules mp3 mp4 mpeg mudflap multilib ncurses nls nptl nptlonly ogg opengl openmp pam pango pcre pdf perl png policykit ppds pppd python qt3support readline scanner sdl session spell sqlite sse sse2 ssl startup-notification svg sysfs tcpd tiff truetype udev unicode usb vorbis x264 xcb xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fglrx" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


In einem anderen Beitrag hier habe ich gelesen, dass python-updater den Fehler behoben hat. Allerdings scheitert dies daran, dass dev-libs/eggdbus benötigt wird.
Code:
# python-updater
 * Starting Python Updater...
 * Main active version of Python:  2.7
 * Active version of Python 2:     2.7
 * Active version of Python 3:     3.1
 *   Adding to list: app-admin/pessulus:0
 *   Adding to list: app-admin/sabayon:0
 *   Adding to list: app-editors/gedit:0
 *   Adding to list: app-emulation/emul-linux-x86-baselibs:0
 *   Adding to list: app-emulation/emul-linux-x86-medialibs:0
 *   Adding to list: app-office/openoffice:0
 *   Adding to list: app-portage/layman:0
 *   Adding to list: app-text/gnome-doc-utils:0
 *   Adding to list: dev-java/antlr:0
 *   Adding to list: dev-java/javatoolkit:0
 *   Adding to list: dev-lang/yasm:0
 *   Adding to list: dev-libs/boost:1.41
 *     check: manual [Added to list manually, see CHECKS in manpage for more information.]
 *   Adding to list: dev-libs/libgamin:0
 *   Adding to list: dev-libs/libgweather:2
 *   Adding to list: dev-libs/libxml2:2
 *   Adding to list: dev-libs/libxslt:0
 *   Adding to list: dev-python/bug-buddy-python:0
 *   Adding to list: dev-python/compizconfig-python:0
 *   Adding to list: dev-python/cython:0
 *   Adding to list: dev-python/dbus-python:0
 *   Adding to list: dev-python/docutils:0
 *   Adding to list: dev-python/gconf-python:2
 *   Adding to list: dev-python/gnome-applets-python:0
 *   Adding to list: dev-python/gnome-desktop-python:0
 *   Adding to list: dev-python/gnome-keyring-python:0
 *   Adding to list: dev-python/gnome-python-desktop-base:0
 *   Adding to list: dev-python/gnome-vfs-python:2
 *   Adding to list: dev-python/gst-python:0.10
 *   Adding to list: dev-python/libbonobo-python:2
 *   Adding to list: dev-python/libgnome-python:2
 *   Adding to list: dev-python/libgnomecanvas-python:2
 *   Adding to list: dev-python/libwnck-python:0
 *   Adding to list: dev-python/notify-python:0
 *   Adding to list: dev-python/numpy:0
 *   Adding to list: dev-python/pycairo:0
 *   Adding to list: dev-python/pygtk:2
 *   Adding to list: dev-python/pygtkglext:0
 *   Adding to list: dev-python/pygtksourceview:2
 *   Adding to list: dev-python/pyopengl:0
 *   Adding to list: dev-python/pyrex:0
 *   Adding to list: dev-python/setuptools:0
 *   Adding to list: dev-python/sexy-python:0
 *   Adding to list: dev-vcs/git:0
 *   Adding to list: gnome-base/gnome-applets:0
 *   Adding to list: gnome-base/gnome-menus:0
 *   Adding to list: gnome-extra/deskbar-applet:0
 *   Adding to list: gnome-extra/gnome-games:0
 *   Adding to list: gnome-extra/gucharmap:0
 *   Adding to list: gnome-extra/hamster-applet:0
 *   Adding to list: gnome-extra/libgsf:0
 *   Adding to list: mail-client/evolution:2.0
 *   Adding to list: media-gfx/eog:1
 *   Adding to list: media-gfx/gimp:2
 *   Adding to list: media-libs/alsa-lib:0
 *   Adding to list: media-libs/lcms:0
 *   Adding to list: media-video/totem:0
 *   Adding to list: net-libs/gtk-vnc:0
 *   Adding to list: net-libs/libproxy:0
 *   Adding to list: sys-apps/file:0
 *   Adding to list: sys-devel/gdb:0
 *   Adding to list: sys-libs/cracklib:0
 *   Adding to list: x11-apps/ccsm:0
 *   Adding to list: x11-libs/vte:0
 *     check: manual [Added to list manually, see CHECKS in manpage for more information.]
 *   Adding to list: x11-misc/alacarte:0
 *   Adding to list: x11-proto/xcb-proto:0
 * emerge -Dv1 --keep-going app-admin/pessulus:0 app-admin/sabayon:0 app-editors/gedit:0 app-emulation/emul-linux-x86-baselibs:0 app-emulation/emul-linux-x86-medialibs:0 app-office/openoffice:0 app-portage/layman:0 app-text/gnome-doc-utils:0 dev-java/antlr:0 dev-java/javatoolkit:0 dev-lang/yasm:0 dev-libs/boost:1.41 dev-libs/libgamin:0 dev-libs/libgweather:2 dev-libs/libxml2:2 dev-libs/libxslt:0 dev-python/bug-buddy-python:0 dev-python/compizconfig-python:0 dev-python/cython:0 dev-python/dbus-python:0 dev-python/docutils:0 dev-python/gconf-python:2 dev-python/gnome-applets-python:0 dev-python/gnome-desktop-python:0 dev-python/gnome-keyring-python:0 dev-python/gnome-python-desktop-base:0 dev-python/gnome-vfs-python:2 dev-python/gst-python:0.10 dev-python/libbonobo-python:2 dev-python/libgnome-python:2 dev-python/libgnomecanvas-python:2 dev-python/libwnck-python:0 dev-python/notify-python:0 dev-python/numpy:0 dev-python/pycairo:0 dev-python/pygtk:2 dev-python/pygtkglext:0 dev-python/pygtksourceview:2 dev-python/pyopengl:0 dev-python/pyrex:0 dev-python/setuptools:0 dev-python/sexy-python:0 dev-vcs/git:0 gnome-base/gnome-applets:0 gnome-base/gnome-menus:0 gnome-extra/deskbar-applet:0 gnome-extra/gnome-games:0 gnome-extra/gucharmap:0 gnome-extra/hamster-applet:0 gnome-extra/libgsf:0 mail-client/evolution:2.0 media-gfx/eog:1 media-gfx/gimp:2 media-libs/alsa-lib:0 media-libs/lcms:0 media-video/totem:0 net-libs/gtk-vnc:0 net-libs/libproxy:0 sys-apps/file:0 sys-devel/gdb:0 sys-libs/cracklib:0 x11-apps/ccsm:0 x11-libs/vte:0 x11-misc/alacarte:0 x11-proto/xcb-proto:0

These are the packages that would be merged, in order:

Calculating dependencies... done!

emerge: there are no ebuilds to satisfy ">=dev-libs/eggdbus-0.6".
(dependency required by "sys-auth/polkit-0.96-r1" [installed])
(dependency required by "gnome-base/gnome-panel-2.30.2" [installed])
(dependency required by "x11-misc/alacarte-0.13.2" [ebuild])
(dependency required by "x11-misc/alacarte:0" [argument])


Ja und jetzt sitz ich hier und habe keine Ahnung :( ich kann nichts finden, wie ich es jetzt installiert bekomme.

Ich hoffe ihr könnt mir da weiterhelfen.
Gruß
Back to top
View user's profile Send private message
sirro
Veteran
Veteran


Joined: 20 Jul 2003
Posts: 1472
Location: aachen.nrw.de.eu

PostPosted: Sun Apr 10, 2011 7:26 pm    Post subject: Reply with quote

Quote:
* /usr/lib/python2.4/site-packages/_xmlplus/parsers/pyexpat.so:
* undefined symbol: PyUnicodeUCS2_DecodeUTF8
* Try re-emerging dev-python/pyxml


Hast du das schon probiert?
Back to top
View user's profile Send private message
fabulous_fab
n00b
n00b


Joined: 01 Nov 2010
Posts: 3

PostPosted: Sun Apr 10, 2011 7:34 pm    Post subject: Reply with quote

vielleicht doch nicht. ist das
Code:
#emerge -e dev-python/pyxml
?
Da bekomme ich die Meldung
Code:
# emerge -e dev-python/pyxml
Calculating dependencies... done!

!!! All ebuilds that could satisfy ">=dev-libs/glib-2.27.3" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-libs/glib-2.28.5 (masked by: ~amd64 keyword)
- dev-libs/glib-2.28.4 (masked by: ~amd64 keyword)

(dependency required by "x11-libs/gtk+-2.24.3" [ebuild])
(dependency required by "dev-python/pygtk-2.22.0-r1" [ebuild])
(dependency required by "dev-vcs/git-1.7.3.4-r1[gtk]" [ebuild])
(dependency required by "sys-devel/gettext-0.18.1.1-r1[git]" [ebuild])
(dependency required by "dev-libs/atk-1.32.0[nls]" [ebuild])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


Ich habe es mal demaskiert:
Code:
# emerge -e dev-python/pyxml
Calculating dependencies... done!
[ebuild   R   ] sys-libs/zlib-1.2.5-r2
[ebuild   R   ] dev-libs/expat-2.0.1-r3
[ebuild   R   ] virtual/libintl-0
[ebuild   R   ] app-arch/xz-utils-5.0.1
[ebuild   R   ] app-arch/bzip2-1.0.6
[ebuild   R   ] virtual/libiconv-0
[ebuild   R   ] sys-devel/gnuconfig-20100924
[ebuild   R   ] app-misc/pax-utils-0.2.2
[ebuild   R   ] dev-libs/gmp-4.3.2
[ebuild   R   ] sys-devel/gcc-config-1.4.1
[ebuild   R   ] app-arch/cpio-2.11
[ebuild   R   ] app-text/libpaper-1.1.23
[ebuild   R   ] sys-apps/tcp-wrappers-7.6-r8
[ebuild   R   ] app-misc/mime-types-8
[ebuild   R   ] media-libs/jpeg-8b
[ebuild   R   ] sys-libs/timezone-data-2011d
[ebuild   R   ] sys-devel/automake-wrapper-4
[ebuild   R   ] sys-devel/autoconf-wrapper-10-r1
[ebuild   R   ] dev-libs/libffi-3.0.9-r2
[ebuild   R   ] net-print/foomatic-db-ppds-3.0.20060720
[ebuild   R   ] app-portage/portage-utils-0.3.1
[ebuild   R   ] dev-lang/swig-1.3.40-r1
[ebuild   R   ] dev-util/gperf-3.0.4
[ebuild   R   ] gnome-base/gnome-common-2.28.0
[ebuild   R   ] virtual/jpeg-0
[ebuild   R   ] media-libs/libpng-1.4.5
[ebuild   R   ] sys-kernel/linux-headers-2.6.36.1
[ebuild   R   ] sys-devel/m4-1.4.15
[ebuild   R   ] sys-apps/sandbox-2.4
[ebuild   R   ] virtual/libffi-0
[ebuild   R   ] dev-libs/mpfr-3.0.0_p3
[ebuild   R   ] app-arch/unzip-6.0-r1
[ebuild   R   ] app-arch/rpm2targz-9.0.0.4g
[ebuild   R   ] media-libs/tiff-3.9.4
[ebuild   R   ] sys-apps/debianutils-3.2.3
[ebuild   R   ] sys-devel/libperl-5.10.1
[ebuild   R   ] virtual/pam-0
[ebuild   R   ] virtual/opengl-7.0
[ebuild   R   ] virtual/acl-0
[ebuild   R   ] virtual/fam-0
[ebuild     U ] app-admin/eselect-opengl-1.2.1 [1.1.1-r2]
[ebuild   R   ] sys-auth/pambase-20101024
[ebuild   R   ] x11-misc/xdg-utils-1.1.0_rc1-r1
[ebuild     U ] app-admin/python-updater-0.8-r1 [0.8]
[ebuild   R   ] virtual/perl-digest-base-1.16
[ebuild   R   ] virtual/ttf-fonts-1
[ebuild   R   ] sys-devel/binutils-config-2-r1
[ebuild   R   ] app-admin/eselect-fontconfig-1.0
[ebuild   R   ] virtual/perl-Scalar-List-Utils-1.23
[ebuild   R   ] virtual/perl-libnet-1.22
[ebuild   R   ] virtual/perl-Digest-MD5-2.39
[ebuild  N    ] app-admin/eselect-mesa-0.0.9
[ebuild   R   ] virtual/perl-File-Spec-3.31
[ebuild   R   ] net-print/foomatic-filters-ppds-20070501
[ebuild   R   ] virtual/perl-Module-Build-0.36.07
[ebuild   R   ] app-text/docbook-xsl-stylesheets-1.75.2
[ebuild   R   ] app-text/build-docbook-catalog-1.4
[ebuild   R   ] virtual/perl-ExtUtils-CBuilder-0.27.03
[ebuild   R   ] virtual/perl-Test-Harness-3.17
[ebuild   R   ] virtual/perl-Archive-Tar-1.54
[ebuild   R   ] virtual/perl-ExtUtils-ParseXS-2.22.05
[ebuild   R   ] sys-devel/autoconf-2.65-r1
[ebuild   R   ] sys-devel/libtool-2.2.10
[ebuild   R   ] sys-devel/automake-1.11.1
[ebuild   R   ] sys-libs/talloc-2.0.1-r1
[ebuild   R   ] app-text/sgml-common-0.6.3-r5
[ebuild     U ] dev-libs/glib-2.28.5 [2.26.1-r1]
[ebuild   R   ] x11-libs/libX11-1.4.1
[ebuild   R   ] dev-lang/perl-5.12.2-r6
[ebuild   R   ] dev-perl/File-BaseDir-0.03
[ebuild   R   ] dev-perl/Error-0.170.160
[ebuild   R   ] dev-perl/Digest-SHA1-2.12
[ebuild   R   ] perl-core/Scalar-List-Utils-1.23
[ebuild   R   ] perl-core/File-Spec-3.31
[ebuild   R   ] dev-perl/XML-Parser-2.36-r1
[ebuild   R   ] dev-perl/YAML-Tiny-1.41
[ebuild   R   ] perl-core/ExtUtils-ParseXS-2.22.05
[ebuild   R   ] perl-core/ExtUtils-CBuilder-0.27.03
[ebuild   R   ] dev-perl/File-DesktopEntry-0.04
[ebuild   R   ] dev-perl/Digest-HMAC-1.01-r1
[ebuild   R   ] perl-core/Module-Build-0.36.07
[ebuild   R   ] dev-perl/Authen-SASL-2.15
[ebuild   R   ] dev-util/intltool-0.41.1
[ebuild     U ] x11-libs/gtk+-2.24.3 [2.22.1-r1]
[ebuild   R   ] x11-libs/libXext-1.2.0
[ebuild   R   ] sys-devel/gettext-0.18.1.1-r1
[ebuild   R   ] sys-apps/sed-4.2.1
[ebuild   R   ] dev-libs/popt-1.16-r1
[ebuild   R   ] dev-libs/libgpg-error-1.10
[ebuild   R   ] sys-apps/findutils-4.4.2
[ebuild   R   ] sys-apps/attr-2.4.44
[ebuild   R   ] sys-devel/flex-2.5.35
[ebuild   R   ] sys-devel/bison-2.4.2
[ebuild   R   ] app-arch/gzip-1.4
[ebuild   R   ] sys-apps/diffutils-2.8.7-r2
[ebuild   R   ] dev-perl/Locale-gettext-1.05-r1
[ebuild   R   ] sys-devel/binutils-2.20.1-r1
[ebuild   R   ] dev-libs/libgcrypt-1.4.6
[ebuild   R   ] sys-apps/acl-2.2.49
[ebuild   R   ] net-misc/rsync-3.0.8
[ebuild   R   ] dev-util/pkgconfig-0.25-r2
[ebuild     U ] sys-apps/help2man-1.38.2 [1.37.1]
[ebuild   R   ] x11-proto/xproto-7.0.20
[ebuild   R   ] x11-proto/xextproto-7.2.0
[ebuild   R   ] x11-proto/inputproto-2.0.1
[ebuild   R   ] x11-libs/xtrans-1.2.6
[ebuild   R   ] sys-apps/coreutils-8.7
[ebuild   R   ] x11-proto/kbproto-1.0.5
[ebuild     U ] dev-libs/atk-1.32.0 [1.30.0] USE="nls%*"
[ebuild   R   ] sys-libs/db-4.8.30
[ebuild   R   ] x11-proto/renderproto-0.11.1
[ebuild   R   ] x11-libs/pixman-0.20.2
[ebuild   R   ] x11-proto/damageproto-1.2.1
[ebuild   R   ] dev-libs/libpthread-stubs-0.1
[ebuild   R   ] x11-proto/xf86vidmodeproto-2.3.1
[ebuild   R   ] x11-proto/compositeproto-0.4.2
[ebuild   R   ] x11-apps/xprop-1.2.0
[ebuild   R   ] dev-util/desktop-file-utils-0.17
[ebuild   R   ] x11-proto/randrproto-1.3.2
[ebuild   R   ] x11-proto/xf86bigfontproto-1.2.0
[ebuild   R   ] x11-misc/util-macros-1.12.0
[ebuild   R   ] media-fonts/font-util-1.2.0
[ebuild   R   ] x11-proto/xf86driproto-2.1.1
[ebuild     U ] x11-proto/glproto-1.4.12 [1.4.11]
[ebuild   R   ] x11-libs/libXrender-0.9.6
[ebuild   R   ] x11-libs/libXi-1.4.1
[ebuild   R   ] x11-libs/libICE-1.0.7
[ebuild   R   ] x11-libs/libXxf86vm-1.1.1
[ebuild   R   ] x11-libs/libXau-1.0.6
[ebuild   R   ] x11-libs/libXdmcp-1.1.0
[ebuild   R   ] sys-libs/gdbm-1.8.3-r4
[ebuild   R   ] x11-proto/fixesproto-5.0
[ebuild   R   ] x11-libs/libdrm-2.4.23
[ebuild   R   ] x11-libs/libfontenc-1.1.0
[ebuild   R   ] x11-proto/dri2proto-2.3
[ebuild   R   ] x11-misc/makedepend-1.0.3
[ebuild   R   ] media-libs/freetype-2.4.4
[ebuild   R   ] x11-libs/libXrandr-1.3.1
[ebuild   R   ] x11-libs/libXfixes-5.0
[ebuild   R   ] media-libs/fontconfig-2.8.0-r1
[ebuild   R   ] x11-libs/libXcursor-1.1.11
[ebuild   R   ] x11-libs/libXdamage-1.1.3
[ebuild   R   ] x11-libs/libXcomposite-0.4.3
[ebuild   R   ] x11-apps/mkfontscale-1.0.8
[ebuild   R   ] x11-libs/libXft-2.2.0
[ebuild   R   ] x11-apps/mkfontdir-1.0.6
[ebuild   R   ] media-fonts/encodings-1.0.4
[ebuild   R   ] media-fonts/urw-fonts-2.4.9
[ebuild   R   ] media-fonts/dejavu-2.32
[ebuild   R   ] dev-libs/openssl-1.0.0d
[ebuild   R   ] app-misc/ca-certificates-20090709
[ebuild   R   ] net-libs/openslp-1.2.1-r1
[ebuild   R   ] dev-perl/Net-SSLeay-1.36
[ebuild   R   ] dev-perl/IO-Socket-SSL-1.35
[ebuild   R   ] dev-perl/Net-SMTP-SSL-1.01
[ebuild   R   ] app-admin/eselect-1.2.11
[ebuild   R   ] sys-libs/e2fsprogs-libs-1.41.12
[ebuild   R   ] app-admin/eselect-python-20100321
[ebuild   R   ] dev-libs/libxml2-2.7.8
[ebuild   R   ] x11-misc/shared-mime-info-0.80
[ebuild     U ] x11-libs/gtksourceview-2.10.5-r1 [2.10.4]
[ebuild   R   ] app-text/docbook-xml-dtd-4.3-r1
[ebuild   R   ] dev-perl/File-MimeInfo-0.15-r1
[ebuild     U ] dev-libs/dbus-glib-0.92 [0.86] USE="-static-libs%"
[ebuild   R   ] x11-libs/libXt-1.1.1
[ebuild   R   ] sys-apps/dbus-1.4.6
[ebuild   R   ] x11-libs/libXmu-1.1.0
[ebuild   R   ] x11-apps/xset-1.2.1-r1
[ebuild   R   ] dev-lang/python-2.7.1-r1
[ebuild     U ] media-libs/mesa-7.10.1 [7.8.2] USE="classic%* gallium* -gles% -hardened% -llvm%" VIDEO_CARDS="-vmware%"
[ebuild   R   ] gnome-base/libglade-2.6.4  USE="-static-libs% -test%"
[ebuild   R   ] dev-python/pygobject-2.26.0-r1
[ebuild   R   ] media-libs/lcms-1.19
[ebuild   R   ] x11-proto/xcb-proto-1.6-r1
[ebuild   R   ] dev-libs/libgamin-0.1.10-r2
[ebuild   R   ] dev-libs/libxslt-1.1.26-r1
[ebuild   R   ] dev-python/pyxml-0.8.4-r2
[ebuild   R   ] x11-libs/libxcb-1.7
[ebuild   R   ] app-admin/gam-server-0.1.10
[ebuild   R   ] dev-util/gtk-doc-am-1.16
[ebuild   R   ] x11-libs/gdk-pixbuf-2.22.1
[ebuild   R   ] x11-libs/xcb-util-0.3.6
[ebuild   R   ] app-admin/gamin-0.1.10
[ebuild     U ] x11-libs/cairo-1.10.2-r1 [1.8.10] USE="(-drm) (-gallium) (-openvg) -qt4% -static-libs%"
[ebuild     U ] x11-libs/pango-1.28.3-r1 [1.28.1]
[ebuild   R   ] dev-python/pycairo-1.8.10
[ebuild     U ] sys-auth/polkit-0.99-r1 [0.96-r1] USE="gtk%* (-introspection) -kde%"
[ebuild     U ] sys-auth/consolekit-0.4.4 [0.4.2-r4]
[ebuild     U ] gnome-extra/polkit-gnome-0.99 [0.96-r1] USE="(-introspection)"
[ebuild   R   ] sys-libs/ncurses-5.7-r3
[ebuild   R   ] sys-apps/util-linux-2.18-r1
[ebuild   R   ] net-nds/openldap-2.4.24
[ebuild   R   ] app-shells/bash-4.1_p9
[ebuild   R   ] sys-apps/texinfo-4.13
[ebuild   R   ] sys-libs/gpm-1.20.6
[ebuild   R   ] sys-libs/readline-6.1_p2
[ebuild   R   ] x11-libs/libSM-1.2.0
[ebuild   R   ] net-misc/curl-7.20.0-r2
[ebuild   R   ] sys-fs/e2fsprogs-1.41.12
[ebuild   R   ] app-admin/perl-cleaner-2.7
[ebuild   R   ] dev-db/sqlite-3.7.5
[ebuild   R   ] app-arch/libarchive-2.8.4-r1
[ebuild   R   ] dev-lang/python-3.1.3-r1
[ebuild   R   ] dev-util/cmake-2.8.4
[ebuild   R   ] sys-apps/portage-2.1.9.42
[ebuild   R   ] dev-python/setuptools-0.6.14
[ebuild     U ] app-text/poppler-0.14.5 [0.14.4] USE="-qt4*"
[ebuild   R   ] sys-apps/file-5.05
[ebuild   R   ] sys-libs/cracklib-2.8.16
[ebuild   R   ] dev-python/numpy-1.5.1
[ebuild     U ] dev-python/pygtk-2.22.0-r1 [2.17.0]
[ebuild   R   ] dev-python/pygtksourceview-2.10.1
[ebuild     U ] dev-vcs/git-1.7.3.4-r1 [1.7.2.2]
[ebuild   R   ] net-print/cups-1.3.11-r4
[ebuild   R   ] app-text/ghostscript-gpl-8.71-r6
[ebuild   R   ] net-print/foomatic-filters-3.0.20080507
[ebuild   R   ] sys-libs/glibc-2.11.3
[ebuild   R   ] sys-devel/gcc-4.4.5
[ebuild   R   ] sys-libs/pam-1.1.3
[blocks B     ] <gnome-base/gvfs-1.6.4-r990 ("<gnome-base/gvfs-1.6.4-r990" is blocking dev-libs/glib-2.28.5)
[blocks B     ] <sys-auth/policykit-0.92 ("<sys-auth/policykit-0.92" is blocking sys-auth/polkit-0.99-r1)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (dev-libs/glib-2.28.5, ebuild scheduled for merge) pulled in by
    >=dev-libs/glib-2.22.0 required by (x11-libs/vte-0.24.3, installed)
    >=dev-libs/glib-2.24:2 required by (dev-python/pygobject-2.26.0-r1, ebuild scheduled for merge)
    >=dev-libs/glib-2.14:2 required by (x11-libs/gtksourceview-2.10.5-r1, ebuild scheduled for merge)
    (and 124 more)

  (sys-auth/policykit-0.9-r1, installed) pulled in by
    sys-auth/policykit[pam] required by (sys-apps/hal-0.5.14-r2, installed)

  (sys-auth/polkit-0.99-r1, ebuild scheduled for merge) pulled in by
    >=sys-auth/polkit-0.92 required by (sys-fs/udisks-1.0.1-r1, installed)
    >=sys-auth/polkit-0.97 required by (gnome-extra/polkit-gnome-0.99, ebuild scheduled for merge)
    >=sys-auth/polkit-0.92 required by (gnome-base/gnome-applets-2.30.0-r1, installed)
    (and 5 more)

  (gnome-base/gvfs-1.6.4-r2, installed) pulled in by
    >=gnome-base/gvfs-1.6.2[gdu] required by (gnome-base/gnome-2.30.2, installed)
    gnome-base/gvfs required by (media-gfx/gimp-2.6.8, installed)
    >=gnome-base/gvfs-0.1.2 required by (gnome-base/nautilus-2.30.1-r1, installed)
    (and 2 more)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


!!! The following installed packages are masked:
- x11-base/xorg-server-1.7.7-r1 (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Tom���� Chv��tal <scarabeus@gentoo.org> (15 Feb 2011)
# Dropping support for 1.7 xorg-server series.
# Please upgrade to xorg-server-1.9.
# These ebuilds will be removed in 30 days.

- x11-drivers/ati-drivers-10.9-r1 (masked by: package.mask)
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.

Aber was nun :?
Back to top
View user's profile Send private message
Necoro
Veteran
Veteran


Joined: 18 Dec 2005
Posts: 1912
Location: München (Germany)

PostPosted: Sun Apr 10, 2011 8:48 pm    Post subject: Reply with quote

fabulous_fab wrote:
vielleicht doch nicht. ist das
Code:
#emerge -e dev-python/pyxml
?
Da bekomme ich die Meldung
[code]# emerge -e dev-python/pyxml
Calculating dependencies... done!

!!! All ebuilds that could satisfy ">=dev-libs/glib-2.27.3" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-libs/glib-2.28.5 (masked by: ~amd64 keyword)
- dev-libs/glib-2.28.4 (masked by: ~amd64 keyword)


Wowowow ... was hat das "-e" da zu suchen? Das heißt "--emptyworld" - es nimmt also an, dein System ist komplett leer. Das willst du aber gar nicht...
_________________
Inter Deum Et Diabolum Semper Musica Est.
Back to top
View user's profile Send private message
Max Steel
Advocate
Advocate


Joined: 12 Feb 2007
Posts: 2041
Location: My own world! I and Gentoo!

PostPosted: Sun Apr 10, 2011 8:48 pm    Post subject: Reply with quote

Warum -e? reicht nicht ein simpler remerge, (mit oneshot -1).
_________________
mfg
Steel
___________________
Sorry for my bad English.

Heim-PC: Intel i7-5820K, 32GB RAM, GTX 1080
Laptop: Intel Core i5-4300U, 16GB RAM, Intel Graphic
Arbeit-PC: Intel i5-3470S, 16GB RAM, Intel Graphic
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum